This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 927550 - (pycdf) Review Request: pycdf - A python interface to the Unidata netCDF library
Review Request: pycdf - A python interface to the Unidata netCDF library
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: pybrain
  Show dependency treegraph
 
Reported: 2013-03-26 04:09 EDT by Ankur Sinha (FranciscoD)
Modified: 2014-02-09 03:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-09 03:58:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-03-26 04:09:22 EDT
Spec URL: http://ankursinha.fedorapeople.org/pycdf/pycdf.spec
SRPM URL: http://ankursinha.fedorapeople.org/pycdf/pycdf-0.6.3b-1.fc20.src.rpm
Description: 

pycdf is a python interface to the Unidata netCDF library.  It provides an
almost complete coverage of the netCDF C API, wrapping it  inside easy to use
python classes.


Fedora Account System Username: ankursinha

[ankur@dhcppc1  SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm ./pycdf-0.6.3b-1.fc18.src.rpm ../SPECS/pycdf.spec
pycdf.src: W: spelling-error Summary(en_US) netCDF -> netted
pycdf.src: W: spelling-error %description -l en_US netCDF -> netted
pycdf.x86_64: W: spelling-error Summary(en_US) netCDF -> netted
pycdf.x86_64: W: spelling-error %description -l en_US netCDF -> netted
pycdf-doc.noarch: W: spelling-error %description -l en_US netCDF -> netted
pycdf.src: W: spelling-error Summary(en_US) netCDF -> netted
pycdf.src: W: spelling-error %description -l en_US netCDF -> netted
5 packages and 1 specfiles checked; 0 errors, 7 warnings.
Comment 1 Jos de Kloe 2013-05-10 08:09:24 EDT
pycdf seems dead upstream and has not been updated since 2007. 
Besides we already have a nice python to netcdf interface in fedora called netcdf4-python, which is actively maintained (and supports py3 as well).
Are you sure it is useful to have this package as well in Fedora, i.e. do you have other packages in mind that depend on it?

references:
http://code.google.com/p/netcdf4-python/
http://pysclint.sourceforge.net/pycdf/
Comment 2 Ankur Sinha (FranciscoD) 2013-05-19 08:23:33 EDT
Hi Jos,

I'm only looking to package it for pybrain :/

I'll try messaging upstream to ask if pycdf is necessary, or if netcdf4 can be used.

Thanks!
Warm regards,
Ankur
Comment 3 Mario Blättermann 2013-08-24 05:53:50 EDT
Any news regarding the dependency for pybrain?
Comment 4 Ankur Sinha (FranciscoD) 2013-08-24 09:11:08 EDT
I haven't had the time to look into pycdf yet. Haven't received a reply from upstream. I'll try again.
Comment 5 Volker Fröhlich 2014-01-31 16:19:13 EST
Any news, Ankur?
Comment 6 Ankur Sinha (FranciscoD) 2014-02-09 03:58:19 EST
Hi Volker, 

No news from upstream I'm afraid. I'm closing this ticket. I'll remove pycdf from pybrain. If someone does need it, we'll think about it later. 

Thanks,
Warm regards,
Ankur

Note You need to log in before you can comment on or make changes to this bug.